Multifunction DAQ

cancel
Showing results for 
Search instead for 
Did you mean: 

daqmx missing vi after update

Hi,

i am using Labview 2009 and i had to recently buy a NI PCIe 6321 board.

To have the board running i updated NiDaq to version 9.7.5. Communication was ckecked to be ok with MAX.

Now i have a small vi which i used to control a 6009 usb board which does not find anymore some simple subvi like daqmxread.

I can not locate these subvis on the disk anymore.

Would it be due to the fact that NiDaq 9.7.5 is not supported by Labview 2009.

Should i reinstall an older version of NiDAq ?

Thanks for your help

0 Kudos
Message 1 of 4
(3,237 Views)

You went 1 version too far.  Uninstall DAQmx 9.7.5 and install 9.7.

 

Because that 9.7.5 does not support LabVIEW 2009, your LabVIEW install lost its DAQmx support VIs.  It is that simple.


GCentral
There are only two ways to tell somebody thanks: Kudos and Marked Solutions
Unofficial Forum Rules and Guidelines
"Not that we are sufficient in ourselves to claim anything as coming from us, but our sufficiency is from God" - 2 Corinthians 3:5
0 Kudos
Message 2 of 4
(3,235 Views)

thanks for the fast answer.

My OS is windows 7/32 bits: is DAQmx 9.7 compatible ?

Otherwise which version may work for my OS and my board ?

Laurent

0 Kudos
Message 3 of 4
(3,229 Views)

If you are keeping with LabVIEW 2009, then go with DAQmx 9.7.


GCentral
There are only two ways to tell somebody thanks: Kudos and Marked Solutions
Unofficial Forum Rules and Guidelines
"Not that we are sufficient in ourselves to claim anything as coming from us, but our sufficiency is from God" - 2 Corinthians 3:5
0 Kudos
Message 4 of 4
(3,226 Views)